## org.eclipse.datatools.connectivity.oda.design
Interface DynamicValuesQuery

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DynamicValuesQuery

extends org.eclipse.emf.ecore.EObject

A dynamic set of selectable input values to be retrieved at runtime using the query defined in a data set design.

The following features are supported:

- `Data Set Design`
- `Enabled`
- `Value Column Identifier`
- `Value Column`
- `Display Name Column`

See Also:
  `DesignPackage.getDynamicValuesQuery()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`DataSetDesign` `getDataSetDesign()` Returns the value of the 'Data Set Design' containment reference.
`java.lang.String` `getDisplayNameColumn()` Returns the value of the 'Display Name Column' attribute.
`java.lang.String` `getValueColumn()` Returns the value of the 'Value Column' attribute.
`DataElementIdentifier` `getValueColumnIdentifier()` Returns the value of the 'Value Column Identifier' containment reference.
`boolean` `isEnabled()` Returns the value of the 'Enabled' attribute.
`boolean` `isSetEnabled()` Returns whether the value of the '`Enabled`' attribute is set.
`void` `setDataSetDesign(DataSetDesign value)` Sets the value of the '`Data Set Design`' containment reference.
`void` `setDisplayNameColumn(java.lang.String value)` Sets the value of the '`Display Name Column`' attribute.
`void` `setEnabled(boolean value)` Sets the value of the '`Enabled`' attribute.
`void` `setValueColumn(java.lang.String value)` Sets the value of the '`Value Column`' attribute.
`void` `setValueColumnIdentifier(DataElementIdentifier value)` Sets the value of the '`Value Column Identifier`' containment reference.
`void` `unsetEnabled()` Unsets the value of the '`Enabled`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDataSetDesign

    DataSetDesign getDataSetDesign()

  Returns the value of the 'Data Set Design' containment reference. A nested instance of dataSetDesign to use for retrieving the set of selectable user values.

  Returns:
    the value of the 'Data Set Design' containment reference.
  See Also:
    `setDataSetDesign(DataSetDesign)`, `DesignPackage.getDynamicValuesQuery_DataSetDesign()`

### setDataSetDesign

    void setDataSetDesign(DataSetDesign value)

  Sets the value of the '`Data Set Design`' containment reference.

  Parameters:
    `value` - the new value of the 'Data Set Design' containment reference.
  See Also:
    `getDataSetDesign()`

### isEnabled

    boolean isEnabled()

  Returns the value of the 'Enabled' attribute. The default value is `"true"`. If not enabled, use staticValueChoices if defined.

  Returns:
    the value of the 'Enabled' attribute.
  See Also:
    `isSetEnabled()`, `unsetEnabled()`, `setEnabled(boolean)`, `DesignPackage.getDynamicValuesQuery_Enabled()`

### setEnabled

    void setEnabled(boolean value)

  Sets the value of the '`Enabled`' attribute.

  Parameters:
    `value` - the new value of the 'Enabled' attribute.
  See Also:
    `isSetEnabled()`, `unsetEnabled()`, `isEnabled()`

### unsetEnabled

    void unsetEnabled()

  Unsets the value of the '`Enabled`' attribute.

  See Also:
    `isSetEnabled()`, `isEnabled()`, `setEnabled(boolean)`

### isSetEnabled

    boolean isSetEnabled()

  Returns whether the value of the '`Enabled`' attribute is set.

  Returns:
    whether the value of the 'Enabled' attribute is set.
  See Also:
    `unsetEnabled()`, `isEnabled()`, `setEnabled(boolean)`

### getValueColumnIdentifier

    DataElementIdentifier getValueColumnIdentifier()

  Returns the value of the 'Value Column Identifier' containment reference. Uniquely identifies the result set column whose values are retrieved as the value choices. It must be one of the columns defined in the data set design's primary result set.

  Returns:
    the value of the 'Value Column Identifier' containment reference.
  Since:
    3.3.2
  See Also:
    `setValueColumnIdentifier(DataElementIdentifier)`, `DesignPackage.getDynamicValuesQuery_ValueColumnIdentifier()`

### setValueColumnIdentifier

    void setValueColumnIdentifier(DataElementIdentifier value)

  Sets the value of the '`Value Column Identifier`' containment reference.

  Parameters:
    `value` - the new value of the 'Value Column Identifier' containment reference.
  Since:
    3.3.2
  See Also:
    `getValueColumnIdentifier()`

### getValueColumn

    java.lang.String getValueColumn()

  Returns the value of the 'Value Column' attribute. The result set column name whose values are retrieved as the value choices. This attribute must be one of the column names defined in the data set design's primary result set.

  Returns:
    the value of the 'Value Column' attribute.
  See Also:
    `setValueColumn(String)`, `DesignPackage.getDynamicValuesQuery_ValueColumn()`

### setValueColumn

    void setValueColumn(java.lang.String value)

  Sets the value of the '`Value Column`' attribute.

  Parameters:
    `value` - the new value of the 'Value Column' attribute.
  See Also:
    `getValueColumn()`

### getDisplayNameColumn

    java.lang.String getDisplayNameColumn()

  Returns the value of the 'Display Name Column' attribute. The result set column name whose values are the localized name that describes the corresponding value in the valueColumn on each data row.

  Returns:
    the value of the 'Display Name Column' attribute.
  See Also:
    `setDisplayNameColumn(String)`, `DesignPackage.getDynamicValuesQuery_DisplayNameColumn()`

### setDisplayNameColumn

    void setDisplayNameColumn(java.lang.String value)

  Sets the value of the '`Display Name Column`' attribute.

  Parameters:
    `value` - the new value of the 'Display Name Column' attribute.
  See Also:
    `getDisplayNameColumn()`